Bug 227695 - [LFC][IFC] Add support for overflow-wrap: anywhere
Summary: [LFC][IFC] Add support for overflow-wrap: anywhere
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-07-05 18:05 PDT by zalan
Modified: 2021-08-20 12:18 PDT (History)
15 users (show)

See Also:


Attachments
Patch (19.23 KB, patch)
2021-07-05 19:04 PDT, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2021-07-05 18:05:18 PDT
An otherwise unbreakable sequence of characters may be broken at an arbitrary point if there are no otherwise-acceptable break points in the line.

https://drafts.csswg.org/css-text-3/#overflow-wrap-property
Comment 1 zalan 2021-07-05 19:04:34 PDT
Created attachment 432909 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2021-07-12 18:06:16 PDT
<rdar://problem/80492357>
Comment 3 EWS 2021-08-19 13:03:03 PDT
Committed r281259 (240694@main): <https://commits.webkit.org/240694@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 432909 [details].
Comment 4 Carlos Alberto Lopez Perez 2021-08-20 12:03:46 PDT
I have a couple of questions:
 - How this relates to bug 195345 ? Is the support for this feature already implemented on webkit? Can that other bug be closed?
 - What is the current status of LFC? Is being shipped on Mac? on GTK/WPE is currently only enabled by default on developer builds.. I'm wondering if is ready to be shipped.

Thanks